Package com.google.android.exoplayer2.source.dash.manifest

## Class AdaptationSet

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.manifest.AdaptationSet

-     public class AdaptationSet
      extends Object

  Represents a set of interchangeable encoded versions of a media content component.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<Descriptor>` | `accessibilityDescriptors` | Accessibility descriptors in the adaptation set.
    `List<Descriptor>` | `essentialProperties` | Essential properties in the adaptation set.
    `int` | `id` | A non-negative identifier for the adaptation set that's unique in the scope of its containing period, or `ID_UNSET` if not specified.
    `static int` | `ID_UNSET` | Value of `id` indicating no value is set.=
    `List<Representation>` | `representations` | `Representation`s in the adaptation set.
    `List<Descriptor>` | `supplementalProperties` | Supplemental properties in the adaptation set.
    `int` | `type` | The type of the adaptation set.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdaptationSet​(int id, int type, List<Representation> representations, List<Descriptor> accessibilityDescriptors, List<Descriptor> essentialProperties, List<Descriptor> supplementalProperties)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID_UNSET

          public static final int ID_UNSET

      Value of `id` indicating no value is set.=
      See Also:
        Constant Field Values

    - #### id

          public final int id

      A non-negative identifier for the adaptation set that's unique in the scope of its containing period, or `ID_UNSET` if not specified.

    - #### type

          public final int type

      The type of the adaptation set. One of the `C` `TRACK_TYPE_*` constants.

    - #### representations

          public final List<Representation> representations

      `Representation`s in the adaptation set.

    - #### accessibilityDescriptors

          public final List<Descriptor> accessibilityDescriptors

      Accessibility descriptors in the adaptation set.

    - #### essentialProperties

          public final List<Descriptor> essentialProperties

      Essential properties in the adaptation set.

    - #### supplementalProperties

          public final List<Descriptor> supplementalProperties

      Supplemental properties in the adaptation set.

  - ### Constructor Detail

    - #### AdaptationSet

          public AdaptationSet​(int id,
                               int type,
                               List<Representation> representations,
                               List<Descriptor> accessibilityDescriptors,
                               List<Descriptor> essentialProperties,
                               List<Descriptor> supplementalProperties)

      Parameters:
        `id` - A non-negative identifier for the adaptation set that's unique in the scope of its containing period, or `ID_UNSET` if not specified.
        `type` - The type of the adaptation set. One of the `C` `TRACK_TYPE_*` constants.
        `representations` - `Representation`s in the adaptation set.
        `accessibilityDescriptors` - Accessibility descriptors in the adaptation set.
        `essentialProperties` - Essential properties in the adaptation set.
        `supplementalProperties` - Supplemental properties in the adaptation set.